Bug 76822 - Vim hangs when I send him a SIGTERM
Summary: Vim hangs when I send him a SIGTERM
Status: CLOSED DUPLICATE of bug 61141
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i686 Linux
medium
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-27 15:21 UTC by Tomas Kasparek
Modified: 2016-11-24 15:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-11-19 11:41:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tomas Kasparek 2002-10-27 15:21:20 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020623
Debian/1.0.0-0.woody.1

Description of problem:
Using 6.1-2 and glibc 2.2.5-40 on Vanilla 2.4.19 I have this behavior:

When I send SIGTERM to vim-enhanced (/usr/bin/vim) I runs in loop using as much
CPU as possible. I have traced the problem and have found this:

Problematic code is in os_unix.c:catch_signals(). When the SA_ONSTACK flag is
used the handler is not called at all(for SIGTERM). It looks, like calling the
signal hanler causes SIGSEGV which is handled by the same routine. This creates
never ending loop. 

Minimal version of VIM (/bin/vi) does not hve this behavior.

I think, that this problem comes with upgrade from 2.2.5-39 to 2.2.5-40 - that
is the reason, why I post it as blibc bug.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Send SIGTERM to /usr/bin/vim


	

Actual Results:  never ending loop inside of Vim (or probably libc call)
reuslting in concuming all CPU power available.

Expected Results:  Vim should terminate

Additional info:

I set the severity to Hign, because it makes me troubles on the servers, where
users are closing terminals vith vim and I have lot of such 'zombies' eating CPU
power.

Comment 1 Carwyn Edwards 2002-11-19 11:41:13 UTC
Is this not a related bug to bug number 61141?

Also note the following references:

http://vimdoc.sf.net/cgi-bin/vimfaq2html3.pl#29.9
http://groups.yahoo.com/group/vim/message/32547

Note that this definately does not happen on RH8.0



Comment 2 Tomas Kasparek 2002-11-19 12:21:14 UTC

*** This bug has been marked as a duplicate of 61141 ***


Note You need to log in before you can comment on or make changes to this bug.